A publication's page templates
GET
/cms/print/v2/publications/{id}/templates
const url = 'https://api.example.com/cms/print/v2/publications/1/templates';const options = {method: 'GET', headers: {'API-Key': '<API-Key>', 'Token-User': '<Token-User>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/print/v2/publications/1/templates \ --header 'API-Key: <API-Key>' \ --header 'Token-User: <Token-User>'Each with its file (url, file), thumbnail and profile: the slots the extension read from the file ({pages, width, height, slots: [{name, order, area, roles, capacity, imageFrames}]}), or null when it was never read or the file changed since.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Responses
Section titled “Responses”Templates